scope: {{ patroni_scope }} 
namespace: {{ patroni_namespace }}
name: {{ inventory_hostname }} 

restapi:
    listen: {{ ansible_host }}:8008
    connect_address: {{ ansible_host }}:8008

etcd3:
    hosts: {{ etcd_servers }}

bootstrap:
  dcs:
    ttl: 30
    loop_wait: 10
    retry_timeout: 10
    maximum_lag_on_failover: 1048576
    postgresql:
      use_pg_rewind: true
      use_slots: true
      parameters:
        wal_level: replica
        hot_standby: "on"
        wal_keep_segments: 8
        max_wal_senders: 5
        max_replication_slots: 5
        checkpoint_timeout: 30
        max_worker_processes: 3
        synchronous_commit: "on"
        synchronous_standby_names: "*"
        jit: off
        max_prepared_transactions: 32767
        enable_partitionwise_aggregate: on
        archive_mode: "on"
        archive_command: 'pgbackrest --stanza={{patroni_scope}} archive-push %p'

  initdb:
  - encoding: UTF8
  - data-checksums

  pg_hba:
  - host replication replicator 127.0.0.1/32 md5     
  - host replication replicator {{ ansible_host }}/0 md5
  - host replication replicator {{ standby_server1 }}/0 md5
  - host replication replicator {{ standby_server2 }}/0 md5
  - host all all {{ hostvars[groups['access_node'][0]].ansible_host }}/32 trust
  - host all all {{ hostvars[groups['access_node'][1]].ansible_host }}/32 trust
  - host all all {{ hostvars[groups['access_node'][2]].ansible_host }}/32 trust
  - host all all 0.0.0.0/0 md5  

  users:
    admin:
      password: {{ admin_password }} 
      options:
        - createrole
        - createdb

postgresql:
  listen: 0.0.0.0:5432      
  connect_address: {{ ansible_host }}:5432
  data_dir: /pgdata/timescaledb
  bin_dir: /usr/pgsql-13/bin
  pgpass: /tmp/pgpass
  authentication:
    replication:
      username: replicator
      password: {{ replicator_password }}
    superuser:
      username: postgres
      password: {{ pg_password }}
  parameters:
    shared_preload_libraries: 'timescaledb,pg_stat_statements'
    unix_socket_directories: '/var/run/postgresql/'
    log_connections: 1
    log_line_prefix: '%t %d %u %h %a '
    log_hostname: 1

tags:
    nofailover: false
    noloadbalance: false
    clonefrom: false
    nosync: false
